Page MenuHomePhabricator

AMDGPU: Use i16 comparison instructions
ClosedPublic

Authored by arsenm on Dec 17 2016, 3:29 PM.

Details

Reviewers
tstellarAMD

Diff Detail

Event Timeline

arsenm updated this revision to Diff 81854.Dec 17 2016, 3:29 PM
arsenm retitled this revision from to AMDGPU: Use i16 comparison instructions.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
arsenm updated this revision to Diff 81860.Dec 17 2016, 4:57 PM
arsenm edited edge metadata.

Remove incorrect comment

arsenm updated this revision to Diff 82123.Dec 20 2016, 11:19 AM
arsenm edited edge metadata.

Forgot to add file

tstellarAMD accepted this revision.Dec 21 2016, 6:56 PM
tstellarAMD edited edge metadata.

LGTM.

test/CodeGen/AMDGPU/icmp.i16.ll
1–2

--check-prefixes=

This revision is now accepted and ready to land.Dec 21 2016, 6:56 PM
arsenm closed this revision.Dec 22 2016, 8:38 AM

r290348